Subject: order #412738
From: "Mike" <[email-masked]>
To: "Michael Grove" <[email-masked]>
Date: Mon, 12 Nov 2007 13:09:36 -0500

Mike,
Attached is a copy of the orders details page for order #412738.  It appears that the product somehow dropped off.  It may have stemmed from Joey Sheets working on the database.  I am not sure if you know him or not.  He was pulling some data out of the system for Steve F. on Friday during the time this order was processed.  He was also making some changes to the website to match up with our products in our system.  I don't know if this had something to do with that or not.  Anyway, the product should be #117, the total paid is $67.25 (Paid by Barbara F. at the time it was processed), and the amount owed is $0.00, with the commission going to Barbara F.  I have already verified that the credit card transaction did go through (hence the Transaction number).  If you have questions, let me know.
Thanks,
Michael Bishop
Labor Law Poster Service
Phone 877-321-4144
Fax 888-442-4144
[email-masked]